Summary:	Extension to whey to support .pth files
Name:		python3-whey-pth
Version:	0.0.6
Release:	1
License:	MIT
Group:		Libraries/Python
#Source0Download: https://pypi.org/simple/whey-pth/
Source0:	https://files.pythonhosted.org/packages/source/w/whey-pth/whey-pth-%{version}.tar.gz
# Source0-md5:	beb363ccfe6d80735e621eed500ab714
Patch0:		deps.patch
URL:		https://github.com/repo-helper/whey-pth
BuildRequires:	python3 >= 1:3.6.1
BuildRequires:	python3-build
BuildRequires:	python3-installer
BuildRequires:	python3-modules >= 1:3.6.1
BuildRequires:	python3-setuptools
BuildRequires:	rpmbuild(macros) >= 2.044
Requires:	python3-modules >= 1:3.6.1
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Extension to whey to support .pth files.

%prep
%setup -q -n whey-pth-%{version}
%patch -P0 -p1

%build
%py3_build_pyproject

%install
rm -rf $RPM_BUILD_ROOT

%py3_install_pyproject

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc LICENSE README.rst
%dir %{py3_sitescriptdir}/whey_pth
%{py3_sitescriptdir}/whey_pth/*.py
%{py3_sitescriptdir}/whey_pth/__pycache__
%{py3_sitescriptdir}/whey_pth/py.typed
%{py3_sitescriptdir}/whey_pth-%{version}.dist-info
%changelog
* Mon Apr 21 2025 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python3-whey-pth.git;a=log;h=master

* Mon Apr 21 2025 Jan Palus <atler@pld-linux.org> f2fbad7
- new

